---
lang: en
title: 'API docs: repository.objecttype.serialize'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.objecttype.serialize.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ObjectType](./repository.objecttype.md) &gt; [serialize](./repository.objecttype.serialize.md)

## ObjectType.serialize() method

<b>Signature:</b>

```typescript
serialize(value: T | null | undefined): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | <code>T &#124; null &#124; undefined</code> |  |

<b>Returns:</b>

`any`


